Templateshop - Eine große Auswahl an neuen und modernen Templates für die modified eCommerce Shopsoftware
Neuigkeiten
  • Die modified eCommerce Shopsoftware ist kostenlos, aber nicht umsonst.
    Spenden
  • Damit wir die modified eCommerce Shopsoftware auch zukünftig kostenlos anbieten können:
    Spenden
  • Thema: modified eCommerce Shopsoftware 2.0.6.0 rev 13500 veröffentlicht

    Tomcraft

    • modified Team
    • Gravatar
    • Beiträge: 44.708
    • Geschlecht:
    [...]
    Ich bin gerade dabei das Template nach Anleitung aus der Wiki anzupassen, da ist mir etwas aufgefallen...
    Möglicherweise ein kleiner Fehler. Kann da mal jemand drüberschauen?
    Unzwar:

    Es geht um die Änderung Erneute Fehlerkorrektur im Bundeslanddropdown

    Dort wird geschrieben, dass wenn man es manuell machen möchte, folgende Datei bearbeiten muss.
    /templates/tpl_modified/javascript/get_states.js.php
    Allerdings liegt die "get_states.js.php" in
    /templates/tpl_modified/javascript/extra/get_states.js.php
    Das zum einen...
    Des weiteren ist es so, dass wenn man sich genau an diese Anleitung hält, dann 2 gleich Befehle in der Datei hat.

    Code: PHP  [Auswählen]
    if (state != 0) {
            $("[name='state']").val(state);
          } else {
            $("[name='state']").prop('selectedIndex',0);
          }
          $('select').SumoSelect();
          stateSelect.parent().parent().parent().parent().show();
          stateSelect.parent().parent().parent().parent().show();

    Das ist sicher nicht so gewollt, oder?

    Vielleicht täusche ich mich auch, aber wäre schön, wenn da mal jemand drüberschauen könnte.

    Da schainest du die Änderung von 2.0.4.2 nach 2.0.5.0 nicht mitbekommen zu haben:  Tutorial: Template eines xt:Commerce Shops in der modified eCommerce Shopsoftware weiter verwenden - Erneute Überarbeitung der JavaScript Komprimierung im Template

    Grüße

    Torsten
    Händlerbund_728x90_animiert

    RobtheTop

    • Schreiberling
    • Beiträge: 256
    Wie meinst du das?
    Ich habe direkt von 2.0.5.1 geupdated.
    Da sollte die Änderung aus 2.0.4.2 doch enthalten sein, oder verstehe ich dich falsch?
    Ich hab quasi das Template_responsive aus meinem 2.0.5.1 Shop genommen und die Änderungen "ab 2.0.6.0" gemacht.
    Hätte ich das anders machen sollen?
    Danke dir

    Tomcraft

    • modified Team
    • Gravatar
    • Beiträge: 44.708
    • Geschlecht:
    In Shopversion 2.0.5.1 ist die Datei "/templates/tpl_modified/javascript/get_states.js.php" bereits verschoben nach "/templates/tpl_modified/javascript/extra/get_states.js.php". Kann also nicht sein und muss ein Fehler von dir sein.

    Grüße

    Torsten

    RobtheTop

    • Schreiberling
    • Beiträge: 256
    Ich weiß, dass die Datei bereits in dem Ordner extra liegt... Das sagte ich ja in meinem Beitrag.
    Laut der Anleitung in der Wiki liegt sie aber direkt im Javascript Ordner.
    Hier nochmal ein Bild:

    Tomcraft

    • modified Team
    • Gravatar
    • Beiträge: 44.708
    • Geschlecht:
    Ah sorry... habe die Anleitung im Wiki entsprechend korrigiert.

    Grüße

    Torsten

    RobtheTop

    • Schreiberling
    • Beiträge: 256
    Perfekt.
    Danke.
    Was sagst du zu dem Code von mir?
    Wenn ich es ganz genau nach Anleitung mache, dann habe ich eine doppelte Codezeile.

    RobtheTop

    • Schreiberling
    • Beiträge: 256
    Schau dir mal dir Wikibeiträge zum normalen und zum xtc5 Template an.
    Das entspricht nicht dem was im responsive template steht.
    Ich denke, hier wurde etwas vergessen.

    Tomcraft

    • modified Team
    • Gravatar
    • Beiträge: 44.708
    • Geschlecht:
    Oh sehr aufmerksam! Habe ich auch korrigiert! :thumbs:

    Grüße

    Torsten

    RobtheTop

    • Schreiberling
    • Beiträge: 256
    Super.
    Danke dir.  :thx:

    Tomcraft

    • modified Team
    • Gravatar
    • Beiträge: 44.708
    • Geschlecht:
    Ich habe zu danken. :thx:

    Grüße

    Torsten

    RobtheTop

    • Schreiberling
    • Beiträge: 256
    Muss mich nochmal zu Wort melden.
    Vielleicht bin ich zu kleinlich, aber ich will eben nicht, dass der ein oder andere irgendwo Probleme bekommt, daher:

    In der Wiki für die Templateanpassungen ab 2.0.6.0 unter :
    Notwendige Korrekturen für PHP 8
    steht, unter anderem, dass in der /templates/TEMPLATENAME/module/order_details.html gesucht werden soll:

    Code: PHP  [Auswählen]
    {if sizeof($shipping_content) > 0}

    und ersetzt werden soll mit:

    Code: PHP  [Auswählen]
    {if isset($shipping_content) && count($shipping_content) > 0}

    Hier wäre evtl. ein Hinweis ganz gut, dass dieser Eintrag 2 mal in der Datei vorhanden ist.

    Ich hab mir angewöhnt, bei Änderungen mit Notepad++ mehrmals auf "Suchen" zu klicken um sicher zu gehen, dass ich auch alle Einträge erwischt habe, aber ob das jeder so macht, ist doch fraglich.

    EDIT:
    Gleiches gilt übrigens auch für

    Code: PHP  [Auswählen]
    {if $more_images|@count > 0}

    in der product_info_tabs_v1.html und der product_info_x_accordion_v1.html

    EDIT 2:
    Unter dem Punkt "Eigene Template-Datei für Banner"
    Sollte evtl. darauf hingewiesen werden, dass es die banners.html in Version 2.0.5.1 nicht gibt und aus der aktuellen Version hinzugefügt werden muss.

    TrueWire

    • Mitglied
    • Beiträge: 116
    • Geschlecht:
    Guten Morgen und Frohe Ostern,

    ich habe gerade das Problem wenn ich den Installer aufrufen will, ich nur eine leere Seite angezeigt bekomme.
    Admin Ordner wurde dementsprechend der neuen Bezeichnung angepasst.

    viele Grüße

    Tomcraft

    • modified Team
    • Gravatar
    • Beiträge: 44.708
    • Geschlecht:
    Was steht in den Log-Dateien im Ordner "/log/"?

    [...]
    In der Wiki für die Templateanpassungen ab 2.0.6.0 unter :
    Notwendige Korrekturen für PHP 8
    steht, unter anderem, dass in der /templates/TEMPLATENAME/module/order_details.html gesucht werden soll:

    Code: PHP  [Auswählen]
    {if sizeof($shipping_content) > 0}

    und ersetzt werden soll mit:

    Code: PHP  [Auswählen]
    {if isset($shipping_content) && count($shipping_content) > 0}

    Hier wäre evtl. ein Hinweis ganz gut, dass dieser Eintrag 2 mal in der Datei vorhanden ist.

    Ich hab mir angewöhnt, bei Änderungen mit Notepad++ mehrmals auf "Suchen" zu klicken um sicher zu gehen, dass ich auch alle Einträge erwischt habe, aber ob das jeder so macht, ist doch fraglich.

    EDIT:
    Gleiches gilt übrigens auch für

    Code: PHP  [Auswählen]
    {if $more_images|@count > 0}

    in der product_info_tabs_v1.html und der product_info_x_accordion_v1.html
    [...]

    Habe ich in der Anleitung geändert.

    [...]
    EDIT 2:
    Unter dem Punkt "Eigene Template-Datei für Banner"
    Sollte evtl. darauf hingewiesen werden, dass es die banners.html in Version 2.0.5.1 nicht gibt und aus der aktuellen Version hinzugefügt werden muss.

    Das sollte eigentlich klar sein, wenn da steht, dass Dateien ins eigene Template zu kopieren sind und es für diese Dateien keine Anleitung zur manuellen Anpassung gibt.

    Grüße

    Torsten

    RobtheTop

    • Schreiberling
    • Beiträge: 256
    @Tomcraft
    Ja, eigentlich schon. Aber ich hätte es auch fast übersehen, bzw. ignoriert.
    Dachte nur, es wäre hilfreich.
    Danke dir für die Anpassungen.

    TrueWire

    • Mitglied
    • Beiträge: 116
    • Geschlecht:
    @Tomcraft

    Code: PHP  [Auswählen]
    [2021-04-04 15:49:00]   [error] [modified]      [pid:18158]     ERROR found for URL: /  {}      {}
    [2021-04-04 15:49:00]   [error] [modified]      [pid:18158]     Syntax error in template "file:/www/htdocs/xx/xx/templates/bs24_modified_gruen/offline.html"  on line 18 "{googlecertificate subaccount=$smarty.const.GOOGLE_SHOPPING_ID account=$smarty.const.GOOGLE_TRUSTED_ID}" unknown tag 'googlecertificate' in File: /www/htdocs/xx/xx/includes/external/smarty/smarty_3/sysplugins/smarty_internal_templatecompilerbase.php on Line: 18 {}      {}
    Templateshop - Eine große Auswahl an neuen und modernen Templates für die modified eCommerce Shopsoftware
               
    anything